Subject: bug#18265: 24.3.92; lisp-completion-at-point should return nil in comments, unless after `

From: Stefan Monnier <[email-masked]>
Date: Fri, 19 Sep 2014 10:49:11 -0400

>> While it's "counter to the c-a-p-f interface", the need to combine
>> several backends is sufficiently common that we need to support it somehow.
>> I hope a "merge" solution can use a less hackish solution than the
>> current ":exclusive no".

> I'm not convinced with this approach. At least, AFAICS, different users
> prefer to merge different backends together. For instance, some
> https://github.com/iquiw/company-ghc users like to merge its results with
> the plain company-dabbrev-code. Some, I believe, don't.

> If the completion function gets to decide that, it would be harder for users
> to customize.

It might be textually a bit more verbose, but other than that it
shouldn't be harder.  I'm thinking of something like

  (add-hook 'completion-at-point-functions
            (completion-table-merge
             ghc-completion-table dabbrev-completion-table)
            nil t)

-- Stefan